## Aliases Aliases — Fontconfig alias configuration |

## Functions

FontManagerAliases * | font_manager_aliases_new ()
FontManagerAliasElement * | font_manager_aliases_get ()
gboolean | font_manager_aliases_contains ()
gboolean | font_manager_aliases_add ()
gboolean | font_manager_aliases_add_element ()
gboolean | font_manager_aliases_remove ()
gboolean | font_manager_aliases_load ()
gboolean | font_manager_aliases_save ()
gchar * | font_manager_aliases_get_filepath ()
GList * | font_manager_aliases_list ()

## Properties

gchar * | config-dir | Read / Write
gchar * | target-file | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_ALIASES
| FontManagerAliases

## Object Hierarchy

        GObject
        ╰── FontManagerAliases

## Includes

    #include <font-manager-aliases.h>

## Description

FontManagerAliases holds a set of FontManagerAliasElement and provides methods for loading and saving from/to a fontconfig configuration file.

## Functions

### font_manager_aliases_new ()

    FontManagerAliases *
    font_manager_aliases_new (void);

#### Returns

A newly created FontManagerAliases. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_aliases_get ()

    FontManagerAliasElement *
    font_manager_aliases_get (FontManagerAliases *self,
                              const gchar *family);

#### Parameters

self | FontManagerAliases |
family | Font family name. |

#### Returns

FontManagerAliasElement for `family` or `NULL`. The result may be modified but should not be freed.

[transfer none]

### font_manager_aliases_contains ()

    gboolean
    font_manager_aliases_contains (FontManagerAliases *self,
                                   const gchar *family);

#### Parameters

self | FontManagerAliases |
family | family to check for |

#### Returns

`TRUE` if a FontManagerAliasElement for `family` exists in `self`

### font_manager_aliases_add ()

    gboolean
    font_manager_aliases_add (FontManagerAliases *self,
                              const gchar *family);

#### Parameters

self | FontManagerAliases |
family | family name |

#### Returns

`TRUE` if a new FontManagerAliasElement for `family` was added successfully

### font_manager_aliases_add_element ()

    gboolean
    font_manager_aliases_add_element (FontManagerAliases *self,
                                      FontManagerAliasElement *element);

#### Parameters

self | FontManagerAliases |
element | FontManagerAliasElement. | [transfer full]

#### Returns

`TRUE` if `element` was added successfully

### font_manager_aliases_remove ()

    gboolean
    font_manager_aliases_remove (FontManagerAliases *self,
                                 const gchar *family);

#### Parameters

self | FontManagerAliases |
family | family name |

#### Returns

`TRUE` if the FontManagerAliasElement for `family` was removed successfully

### font_manager_aliases_load ()

    gboolean
    font_manager_aliases_load (FontManagerAliases *self);

#### Parameters

self | FontManagerAliases |

#### Returns

`TRUE` if current configuration was successfully loaded

### font_manager_aliases_save ()

    gboolean
    font_manager_aliases_save (FontManagerAliases *self);

#### Parameters

self | FontManagerAliases |

#### Returns

`TRUE` if current configuration was successfully saved to file

### font_manager_aliases_get_filepath ()

    gchar *
    font_manager_aliases_get_filepath (FontManagerAliases *self);

#### Parameters

self | FontManagerAliases |

#### Returns

A newly allocated string containing the full filepath to current configuration file or `NULL`. Free the result using ``g_free()``.

[transfer full][nullable]

### font_manager_aliases_list ()

    GList *
    font_manager_aliases_list (FontManagerAliases *self);

#### Parameters

self | FontManagerAliases |

#### Returns

GList of FontManagerAliasElement or `NULL`. Free the returned GList using ``g_list_free()``.

[nullable][transfer container][element-type FontManagerAliasElement]

## Types and Values

### FONT_MANAGER_TYPE_ALIASES

    #define FONT_MANAGER_TYPE_ALIASES (font_manager_aliases_get_type())

### FontManagerAliases

    typedef struct _FontManagerAliases FontManagerAliases;

## Property Details

### The `“config-dir”` property

      “config-dir”               gchar *

Should be set to one of the directories monitored by Fontconfig for configuration files and writeable by the user.

Owner: FontManagerAliases

Flags: Read / Write

Default value: NULL

### The `“target-file”` property

      “target-file”              gchar *

Should be set to a filename in the form [3][0-9]-*.conf

Owner: FontManagerAliases

Flags: Read / Write

Default value: NULL